﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            LeCroy WaveJet 334: (1 yr) VER IEEE /9500/600+4Hd
DATE:                  2010-07-30 13:03:05
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       314
CONFIGURATION:         Datron 9500 (C5)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
CONFIGURATION:         Datron 9510 on channel 4
=============================================================================
#
#  Procedure Author:
#        VY, DFM
# 
#  Models covered:
#        WJ334
# 
#  Source(s):
#        Chapter 5 - WJ Performance Verification Rev B2.pdf
# 
#        LeCroy WaveJet SERIES Oscilloscope GETTING STARTED MANUAL
#        FEBRUARY 2007, WJ-GS-E Rev B, 914863-00 Rev A
# 
#  Compatibility:
#        MET/CAL 7.20v or later
#
#  Subprocedures:
#        Sub MET/VERsion Check
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Verification Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub LeCroy WJ300 Self-Test IEEE
#        Sub LeCroy WJ300 Cal Initialize IEEE
#        Sub LeCroy WJ300 Peak-Peak Noise Level IEEE
#        Sub LeCroy WJ300 (1 yr) Chan Input Impedance IEEE /9500
#        Sub LeCroy WJ300 (1 yr) Ext Input Impedance IEEE /9500
#        Sub LeCroy WJ300 (1 yr) DC Gain Acc IEEE /9500
#        Sub LeCroy WJ300 (1 yr) Offset Acc IEEE /9500
#        Sub LeCroy WJ300 (1 yr) Time Base Acc IEEE /9500
#        Sub LeCroy WJ300 (1 yr) Bandwidth IEEE /9500/600
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        None
# 
# The procedure was tested using:
#
#        Model No  : LeCroy WaveJet 354
#        Serial No : LCRY0101J23242
#        Options   : WJ-GPIB
#        Firmware  : 4.05
#
# Average run time during testing :  22 minutes
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P                            A        V

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.002  IF           0
  1.003  M9500                       CH1
  1.004  9500         300MH                        1Vpp           LS    S
  1.005  M9500                       CH2
  1.006  9500         300MH                        1Vpp           LS    S
  1.007  M9500                       CH3
  1.008  9500         300MH                        1Vpp           LS    S
  1.009  M9500                       CH4
  1.010  9500         300MH                        1Vpp           LS    S
  1.011  ENDIF

  1.012  MATH         @ReqMetCalVersion = "7.20v"
  1.013  CALL         Sub MET/VERsion Check

  1.014  IF           NOT(@MetCalVersionOK)
  1.015  DISP         This procedure requires MET/CAL 7.20v or later.
  1.016  END
  1.017  ENDIF

  1.018  CALL         Sub Display Copyright
  1.019  CALL         Sub High Voltage Safety Warning

  1.020  HEAD         PRELIMINARY INSTRUCTIONS
  1.021  DISP         Ensure a minimum UUT warm-up time of at least
  1.021  DISP         20 minutes has been allowed to elapse, prior
  1.021  DISP         to beginning verification.

  1.022  DISP         Ensure that the UUT REMOTE PORT is set for GPIB
  1.022  DISP         operation as follows:
  1.022  DISP
  1.022  DISP         Push UUT front panel UTILITES button, followed by the
  1.022  DISP         "Remote" softkey. Press the "Interface" softkey, then
  1.022  DISP         "GPIB" softkey.
  1.022  DISP
  1.022  DISP         If this workstation is equipped with two GPIB cards,
  1.022  DISP         the address is unimportant, as long as it is not (0)
  1.022  DISP         zero. If only 1 GPIB card is installed, however, the
  1.022  DISP         UUT address must not conflict with those of configured
  1.022  DISP         references.
  1.022  DISP
  1.022  DISP         If necessary, depress the "Address" softkey and set
  1.022  DISP         the UUT address using the ADJUST knob.
  1.022  DISP
  1.022  DISP         Connect a GPIB cable from the appropriate PC IEEE-488
  1.022  DISP         port to the UUT GPIB port.

# Test to ensure MET/CAL initialization file parameter "acc_check" = "yes"
  1.023  IF           ZCMPI(INI("startup", "acc_check"), "no")
  1.024  HEAD         INCORRECT MET/CAL® INITIALIZATION FILE SETTING!
  1.025  DISP         The file parameter setting is: "acc_check=no"
  1.025  DISP
  1.025  DISP         For correct procedure execution, this parameter
  1.025  DISP         MUST be set to: "acc_check=yes"
  1.025  DISP
  1.025  DISP         Select "Advance" to terminate the procedure, exit
  1.025  DISP         MET/CAL®, change the initialization file parameter,
  1.025  DISP         restart MET/CAL, then restart the procedure.
  1.026  END
  1.027  ENDIF

  1.028  IEEE         *CLS;*RST

  1.029  HEAD         UUT IDENTIFICATION
  1.030  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.031  MATH         @UUT_Manufacturer = "LECROY"
  1.032  MATH         @UUT_Model        = "WJ334"
  1.033  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.034  IF           @Abort
  1.035  END
  1.036  ENDIF

  1.037  IF           @FirmwareRev < 3.06
  1.038  DISP         This procedure requires firmware version 3.06 or later.
  1.038  DISP
  1.038  DISP         For firmware upgrades, please visit www.lecroy.com. The
  1.038  DISP         firmware and installation instructions are available
  1.038  DISP         for download.
  1.039  ENDIF

  1.040  CALL         Sub Select Failed Test Mode
  1.041  CALL         Sub Select Verification Method (No NTHROW)

# Set the system confidence level to 95%.
  1.042  MATH         @SysConf   = 2
  1.043  MATH         @DevName   = "Datron 9500"
  1.044  MATH         @Bandwidth = 300E+6
  1.045  MATH         @NumChan   = 4

# Specify whether the calibrator is single or multi-channel.  This is used
# in subprocedures to determine the connections required for each test.
  1.046  MATH         @SourceMultiCh = 1

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   PEAK-PEAK NOISE LEVEL              PEAK-PEAK NOISE LEVEL
#    3.   CHANNEL INPUT IMPEDANCE(CH1)       EXTERNAL INPUT IMPEDANCE
#    4.   CHANNEL INPUT IMPEDANCE(CH2)       CHANNEL INPUT IMPEDANCE(CH1)
#    5.   CHANNEL INPUT IMPEDANCE(CH3)       CHANNEL INPUT IMPEDANCE(CH2)
#    6.   CHANNEL INPUT IMPEDANCE(CH4)       CHANNEL INPUT IMPEDANCE(CH3)
#    7.   EXTERNAL INPUT IMPEDANCE           CHANNEL INPUT IMPEDANCE(CH4)
#    8.   DC GAIN ACC(CH1)                   DC GAIN ACC(CH1)
#    9.   DC GAIN ACC(CH2)                   DC GAIN ACC(CH2)
#   10.   DC GAIN ACC(CH3)                   DC GAIN ACC(CH3)
#   11.   DC GAIN ACC(CH4)                   DC GAIN ACC(CH4)
#   12.   OFFSET ACC(CH1)                    OFFSET ACC(CH1)
#   13.   OFFSET ACC(CH2)                    OFFSET ACC(CH2)
#   14.   OFFSET ACC(CH3)                    OFFSET ACC(CH3)
#   15.   OFFSET ACC(CH4)                    OFFSET ACC(CH4)
#   16.   Bandwidth(CH1)                     Bandwidth(CH1)
#   17.   Bandwidth(CH2)                     Bandwidth(CH2)
#   18.   Bandwidth(CH3)                     Bandwidth(CH3)
#   19.   Bandwidth(CH4)                     Bandwidth(CH4)
#   20.   TRIGGER LEVEL(CH1)                 TRIGGER LEVEL(CH1)
#   21.   TRIGGER LEVEL(CH2)                 TRIGGER LEVEL(CH2)
#   22.   TRIGGER LEVEL(CH3)                 TRIGGER LEVEL(CH3)
#   23.   TRIGGER LEVEL(CH4)                 TRIGGER LEVEL(CH4)
#   24.   TIME BASE                          TIME BASE

  1.047  RSLT         =
  1.048  HEAD         SELF TEST
  1.049  TARGET
  1.050  DISP         Remove all input connections.
  1.051  IEEE         *TST?[I$]
  1.052  EVAL   -e FINDI(MEM2, "+000000", 1) : SELF TEST

  2.001  IF           NOT(FINDI(MEM2, "+000000", 1))
  2.002  DISP         The UUT SELF TEST failed!
  2.002  DISP
  2.002  DISP         The UUT may need to be serviced.
  2.002  DISP
  2.002  DISP         The procedure will be aborted.
  2.003  END
  2.004  ENDIF

  2.005  JMPL         PEAK_PEAK_NOISE_LEVEL

  2.006  LABEL        CHANNEL_INPUT_IMPEDANCE
  2.007  MATH         @Chan = 1
  2.008  M9500                       CH1
  2.009  CALL         Sub LeCroy WJ300 (1 yr) Chan Input Impedance IEEE /9500
  2.010  MATH         @Chan = 2
  2.011  M9500                       CH2
  2.012  CALL         Sub LeCroy WJ300 (1 yr) Chan Input Impedance IEEE /9500
  2.013  MATH         @Chan = 3
  2.014  M9500                       CH3
  2.015  CALL         Sub LeCroy WJ300 (1 yr) Chan Input Impedance IEEE /9500
  2.016  MATH         @Chan = 4
  2.017  M9500                       CH4
  2.018  CALL         Sub LeCroy WJ300 (1 yr) Chan Input Impedance IEEE /9500
  2.019  JMPL         DC_GAIN_ACC

  2.020  LABEL        EXT_INPUT_IMPEDANCE
  2.021  MATH         @Chan = 5
  2.022  M9500                       CH1
  2.023  CALL         Sub LeCroy WJ300 (1 yr) Ext Input Impedance IEEE /9500
  2.024  JMPL         CHANNEL_INPUT_IMPEDANCE

  2.025  LABEL        PEAK_PEAK_NOISE_LEVEL
  2.026  CALL         Sub LeCroy WJ300 Peak-Peak Noise Level IEEE
  2.027  JMPL         EXT_INPUT_IMPEDANCE

  2.028  LABEL        DC_GAIN_ACC
  2.029  MATH         @Chan = 1
  2.030  M9500                       CH1
  2.031  CALL         Sub LeCroy WJ300 (1 yr) DC Gain Acc IEEE /9500
  2.032  MATH         @Chan = 2
  2.033  M9500                       CH2
  2.034  CALL         Sub LeCroy WJ300 (1 yr) DC Gain Acc IEEE /9500
  2.035  MATH         @Chan = 3
  2.036  M9500                       CH3
  2.037  CALL         Sub LeCroy WJ300 (1 yr) DC Gain Acc IEEE /9500
  2.038  MATH         @Chan = 4
  2.039  M9500                       CH4
  2.040  CALL         Sub LeCroy WJ300 (1 yr) DC Gain Acc IEEE /9500

  2.041  MATH         @Chan = 1
  2.042  M9500                       CH1
  2.043  CALL         Sub LeCroy WJ300 (1 yr) Offset Acc IEEE /9500
  2.044  MATH         @Chan = 2
  2.045  M9500                       CH2
  2.046  CALL         Sub LeCroy WJ300 (1 yr) Offset Acc IEEE /9500
  2.047  MATH         @Chan = 3
  2.048  M9500                       CH3
  2.049  CALL         Sub LeCroy WJ300 (1 yr) Offset Acc IEEE /9500
  2.050  MATH         @Chan = 4
  2.051  M9500                       CH4
  2.052  CALL         Sub LeCroy WJ300 (1 yr) Offset Acc IEEE /9500

  2.053  MATH         @Chan = 1
  2.054  M9500                       CH1
  2.055  CALL         Sub LeCroy WJ300 (1 yr) Bandwidth IEEE /9500/600
  2.056  MATH         @Chan = 2
  2.057  M9500                       CH2
  2.058  CALL         Sub LeCroy WJ300 (1 yr) Bandwidth IEEE /9500/600
  2.059  MATH         @Chan = 3
  2.060  M9500                       CH3
  2.061  CALL         Sub LeCroy WJ300 (1 yr) Bandwidth IEEE /9500/600
  2.062  MATH         @Chan = 4
  2.063  M9500                       CH4
  2.064  CALL         Sub LeCroy WJ300 (1 yr) Bandwidth IEEE /9500/600

  2.065  MATH         @Chan = 1
  2.066  M9500                       CH1
  2.067  CALL         Sub LeCroy WJ300 (1 yr) Trigger Level IEEE /9500
  2.068  MATH         @Chan = 2
  2.069  M9500                       CH2
  2.070  CALL         Sub LeCroy WJ300 (1 yr) Trigger Level IEEE /9500
  2.071  MATH         @Chan = 3
  2.072  M9500                       CH3
  2.073  CALL         Sub LeCroy WJ300 (1 yr) Trigger Level IEEE /9500
  2.074  MATH         @Chan = 4
  2.075  M9500                       CH4
  2.076  CALL         Sub LeCroy WJ300 (1 yr) Trigger Level IEEE /9500

  2.077  MATH         @Chan = 1
  2.078  M9500                       CH1
  2.079  CALL         Sub LeCroy WJ300 (1 yr) Time Base Acc IEEE /9500

  2.080  DISP         V E R I F I C A T I O N   C O M P L E T E
  2.081  END
